Package org.codehaus.groovy.ast.stmt

# Class IfStatement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement
org.codehaus.groovy.ast.stmt.IfStatement

All Implemented Interfaces:
  `NodeMetaDataHandler`

    public class IfStatement
    extends Statement

Represents an if (condition) { ... } else { ... } statement in Groovy

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IfStatement​(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `BooleanExpression` | `getBooleanExpression()` |
  `Statement` | `getElseBlock()` |
  `Statement` | `getIfBlock()` |
  `void` | `setBooleanExpression​(BooleanExpression booleanExpression)` |
  `void` | `setElseBlock​(Statement statement)` |
  `void` | `setIfBlock​(Statement statement)` |
  `void` | `visit​(GroovyCodeVisitor visitor)` |

  ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

  `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### IfStatement

    public IfStatement​(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)

- ## Method Details

  - ### visit

    public void visit​(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### getBooleanExpression

    public BooleanExpression getBooleanExpression()

  - ### getIfBlock

    public Statement getIfBlock()

  - ### getElseBlock

    public Statement getElseBlock()

  - ### setBooleanExpression

    public void setBooleanExpression​(BooleanExpression booleanExpression)

  - ### setIfBlock

    public void setIfBlock​(Statement statement)

  - ### setElseBlock

    public void setElseBlock​(Statement statement)